html, body {
  height: 100%;
  display: flex;
  flex-direction: column;
}

header {
  top: 0;
  background-color: rgb(221, 176, 29);
  position: sticky;
}

nav {
  background-color: rgb(219, 16, 70);
}

main {
  background-color: bisque;
  flex: 1 0 auto;
}

aside {
  background-color: blueviolet;
}

footer {
  background-color: brown;
  flex-shrink: 0;
}